mia-2dimagecombine-dice
Prev | Analysis, filtering, combining, and segmentation of 2D images | Next

### mia-2dimagecombine-dice

#### Sysnopis:

`mia-2dimagecombine-dice` {-1 `io`} {-2 `io`} [ `options` ...]

#### Description:

This program evaluate the dice index of two binary masks given as binary images. The result is written to stdout.

#### Options:

-1, --in-file-1=(input, required); io

  input image 1. For supported file types see Plugin type: 2dimage/io

-2, --in-file-2=(input, required); io

  input image 2. For supported file types see Plugin type: 2dimage/io

#### Help & Info

-V, --verbose=warning; dict

  verbosity of output, print messages of given level and higher priorities. Supported priorities starting at lowest level are:

  trace: | Function call trace
  debug: | Debug output
  info: | Low level messages
  message: | Normal messages
  warning: | Warnings
  fail: | Report test failures
  error: | Report errors
  fatal: | Report only fatal errors

--copyright=(); bool

  print copyright information

-h, --help=(); bool

  print this help

-?, --usage=(); bool

  print a short help

--version=(); bool

  print the version number and exit

#### Processing

--threads=-1; int

  Maxiumum number of threads to use for processing,This number should be lower or equal to the number of logical processor cores in the machine. (-1: automatic estimation).

#### Example:

Evaluate the dice index of maks1.png and mask2.png

    mia-2dimagecombine-dice -1 mask1.png -2 mask2.png

#### Author(s):

Gert Wollny

Prev | Up | Next
mia-2dgrayimage-combine-to-rgb | Home | mia-2dimagecombiner